summaryrefslogtreecommitdiffstats
path: root/kubernetes/helm/plugins/undeploy/undeploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kubernetes/helm/plugins/undeploy/undeploy.sh')
-rwxr-xr-xkubernetes/helm/plugins/undeploy/undeploy.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/kubernetes/helm/plugins/undeploy/undeploy.sh b/kubernetes/helm/plugins/undeploy/undeploy.sh
index 35fc4ca251..a3b0e3c623 100755
--- a/kubernetes/helm/plugins/undeploy/undeploy.sh
+++ b/kubernetes/helm/plugins/undeploy/undeploy.sh
@@ -29,9 +29,9 @@ undeploy() {
done
}
-if [ $# < 1 ]; then
+if [ -z "$1" ]; then
echo "Error: command 'undeploy' requires a release name"
- exit 0
+ exit 1
fi
case "${1:-"help"}" in
@@ -45,7 +45,7 @@ case "${1:-"help"}" in
usage
;;
*)
- undeploy $1 ${@:2}
+ undeploy $1 $(echo ${@} | sed 's/^ *[^ ]* *//')
;;
esac